/*
 * Created on: Aug 7, 2024
 */


#include <stdint.h>

#include "led.h"
#include "rand.h"



static uint16_t rnd;
static uint16_t work[4];



/*
 *
 */
static void prog_solid(uint8_t level)
{
    uint8_t i;

    for (i = 0; i < 4; i++) {
        boeing[i] = level;
    }
}

static void prog_0_nothing(uint8_t tick)
{
    rnd = (uint16_t)rnd;
    work[0] = rnd;

    prog_solid(0);
}



static void prog_1_dim(uint8_t tick)
{
    prog_solid(16);
}

static void prog_2_normal(uint8_t tick)
{
    prog_solid(96);
}

static void prog_3_brite(uint8_t tick)
{
    prog_solid(192);
}



void (*ledprog_boeing[4])(uint8_t) = {
    prog_0_nothing,
    prog_1_dim,
    prog_2_normal,
    prog_3_brite
};



void ledprog_bot_init()
{
    uint8_t i;

    rnd = prng_get16();

    // global program initialization
    for (i = 0; i < 4; i++) {
        work[i] = 0;
    }
}
